cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/accounting_codes/121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounting_codes.get_settings_accounting_code(
"121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accountingCodes.getSettingsAccountingCode('121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accountingCodes->getSettingsAccountingCode('121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.accounting_codes.accounting_codes_dto.AccountingCodesDto.SettingsAccountingCode;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsAccountingCode> response = client.accountingCodes().getSettingsAccountingCode(
"121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AccountingCodes.GetSettingsAccountingCodeAsync("121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accountingCodes.getSettingsAccountingCode(
'121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AccountingCodes().GetSettingsAccountingCode(context.Background(), "121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"accounting_code": {
"account_code_type": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"default_match_key": "<string>",
"description": "<unknown>",
"display_name": "<string>",
"gl_account_name": "<string>",
"gl_account_number": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Accounting codes
Retrieve an accounting code
Returns one accounting code by its id, under accounting_code.
GET
/
settings
/
accounting_codes
/
{accounting_code_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/accounting_codes/121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounting_codes.get_settings_accounting_code(
"121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accountingCodes.getSettingsAccountingCode('121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accountingCodes->getSettingsAccountingCode('121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.accounting_codes.accounting_codes_dto.AccountingCodesDto.SettingsAccountingCode;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsAccountingCode> response = client.accountingCodes().getSettingsAccountingCode(
"121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AccountingCodes.GetSettingsAccountingCodeAsync("121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accountingCodes.getSettingsAccountingCode(
'121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AccountingCodes().GetSettingsAccountingCode(context.Background(), "121b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"accounting_code": {
"account_code_type": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"default_match_key": "<string>",
"description": "<unknown>",
"display_name": "<string>",
"gl_account_name": "<string>",
"gl_account_number": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Reads the accounting code with this
id.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The accounting code's id, as a listing or a create returns it.
Response
The accounting code, under accounting_code.
Show child attributes
Show child attributes